### Method

# GLib Error matches

#### Declaration

    gboolean
    g_error_matches (
      const GError* error,
      GQuark domain,
      gint code
    )

#### Description

Returns `TRUE` if `error` matches `domain` and `code`, `FALSE` otherwise. In particular, when `error` is `NULL`, `FALSE` will be returned.

If `domain` contains a `FAILED` (or otherwise generic) error code, you should generally not check for it explicitly, but should instead treat any not-explicitly-recognized error code as being equivalent to the `FAILED` code. This way, if the domain is extended in the future to provide a more specific error code for a certain case, your code will still work.

#### Parameters

`domain`

  Type: `GQuark`

  An error domain.

`code`

  Type: `gint`

  An error code.

#### Return value

Type: `gboolean`

Whether `error` has `domain` and `code`.